Package Details: blender-git 2.81.r91063.ab519b91b2c-1

Git Clone URL: https://aur.archlinux.org/blender-git.git (read-only, click to copy)
Package Base: blender-git
Description: A fully integrated 3D graphics creation suite (development)
Upstream URL: http://blender.org/
Licenses: GPL
Conflicts: blender
Provides: blender
Submitter: stativ
Maintainer: fbrennan (kureta)
Last Packager: kureta
Votes: 71
Popularity: 0.000324
First Submitted: 2013-12-05 10:11
Last Updated: 2019-12-04 14:38

Dependencies (28)

Required by (54)

Sources (6)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

seo.disparate commented on 2018-12-25 08:24

I got this to build by adding the following changes to the PKGBUILD:

diff --git a/PKGBUILD b/PKGBUILD
index [`e828e21`](https://aur.archlinux.org/cgit/aur.git/commit/?h=blender-git&id=e828e21)..8fd245c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,7 +8,7 @@ arch=('i686' 'x86_64')
 url="<http://blender.org/>"
 depends=('libgl' 'python' 'desktop-file-utils' 'hicolor-icon-theme'
          'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio' 'opencolorio'
-         'openshadinglanguage' 'libtiff' 'libpng')
+         'openshadinglanguage' 'libtiff' 'libpng' 'python-numpy')
 optdepends=('cuda: CUDA support in Cycles')
 makedepends=('git' 'cmake' 'boost' 'mesa')
 provides=('blender')
@@ -65,6 +65,7 @@ build() {
         -DWITH_PYTHON_INSTALL=OFF \
         -DPYTHON_VERSION=3.7m \
         -DWITH_MOD_OCEANSIM=ON \
+        -DPYTHON_NUMPY_PATH=/usr/lib/python3.7/site-packages \
         $_EXTRAOPTS
   make
 }

Note I'm not sure if python-numpy should be depends or make-depends, so I added it as depends in the diff.

agapito commented on 2018-12-25 06:36

Can´t build:

[ 93%] Building CXX object source/blender/freestyle/CMakeFiles/bf_freestyle.dir/intern/winged_edge/WXEdgeBuilder.cpp.o [ 93%] Building CXX object source/blender/freestyle/CMakeFiles/bf_freestyle.dir/intern/winged_edge/WingedEdgeBuilder.cpp.o [ 93%] Linking CXX static library ../../../lib/libbf_freestyle.a [ 93%] Built target bf_freestyle make: *** [Makefile:163: all] Error 2

mowcat commented on 2018-12-24 19:54

@fbrennan fair point, just gotten used to installing blender-2.8-git and blender-git.

fbrennan commented on 2018-12-23 13:40

@mowcat I don't understand your point. This package is for building master just by its name. Feel free to make blender2.7-git if you want.

mowcat commented on 2018-12-23 03:16

I needed to edit the PKGBUILD file in order to use the blender2.7 branch.

stativ commented on 2018-08-11 19:23

I just disowned the package. I no longer have the time to play with blender, so I believe it's time to pass it to someone else.

nucularJohn commented on 2018-08-07 14:12

Python is 3.7 now. -DPYTHON_VERSION=3.7m

SpotlightKid commented on 2018-02-24 20:29

When I build this, the resulting package is missing the *.oso files under /usr/share/blender/2.79/scripts/addons/cycles/shader/ that the non-git package has.

I tried replacing the build function with the one from the non-git package, which uses the cmake file under build_files/cmake/config/blender_release.cmake, but then I get random compiler failures when building.

Anybody and idea how to fix this?

berilac commented on 2018-01-27 08:54

Appear to have solved the issue. Should anyone run into it themselves:

Edit the PKGBUILD in the build() section, in the cmake command add the following, or a variant of

-DCYCLES_CUDA_BINARIES_ARCH:STRING="sm_20;sm_21;sm_30;sm_35;sm_37;sm_50;sm_52;sm_60;sm_61"

I had to remove sm_20 and 21 before it would compile for me.

berilac commented on 2018-01-19 08:14

I believe I ran into something similar to the following error before. I can't remember how I eventually got around it...

[ 17%] Generating kernel_sm_20.cubin nvcc fatal : Value 'sm_20' is not defined for option 'gpu-architecture' make[2]: [intern/cycles/kernel/CMakeFiles/cycles_kernel_cuda.dir/build.make:255: intern/cycles/kernel/kernel_sm_20.cubin] Error 1 make[1]: [CMakeFiles/Makefile2:1465: intern/cycles/kernel/CMakeFiles/cycles_kernel_cuda.dir/all] Error 2

Any ideas? googling thus far has not been very much use. Perhaps it involves a CMAKE flag for makepkg, but I am uncertain...